import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  patientId: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  stage: z.literal(true).optional(),
  aiHandoff: z.literal(true).optional(),
  updatedAt: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const PatientConversationCountAggregateInputObjectSchema: z.ZodType<Prisma.PatientConversationCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.PatientConversationCountAggregateInputType>;
export const PatientConversationCountAggregateInputObjectZodSchema = makeSchema();
